(function( $ ) {
	'use strict';
	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	 jQuery(document).ready(function($){
		//move nav element position according to window width
		moveNavigation();
		$(window).on('resize', function(){
			(!window.requestAnimationFrame) ? setTimeout(moveNavigation, 300) : window.requestAnimationFrame(moveNavigation);
		});
	
		//mobile version - open/close navigation
		$('.taamul-nav-trigger').on('click', function(event){
			event.preventDefault();
			if($('taamul-header').hasClass('nav-is-visible')) $('.moves-out').removeClass('moves-out');
			
			$('taamul-header').toggleClass('nav-is-visible');
			$('.taamul-main-nav').toggleClass('nav-is-visible');
			$('.taamul-main-content').toggleClass('nav-is-visible');
		});
	
		//mobile version - go back to main navigation
		$('.go-back').on('click', function(event){
			event.preventDefault();
			$('.taamul-main-nav').removeClass('moves-out');
		});
	
		function moveNavigation(){
			var navigation = $('.taamul-main-nav-wrapper');
			  var screenSize = checkWindowWidth();
			if ( screenSize ) {
				//desktop screen - insert navigation inside taamul-header element
				navigation.detach();
				navigation.insertBefore('.taamul-nav-trigger');
			} else {
				//mobile screen - insert navigation after .taamul-main-content element
				navigation.detach();
				navigation.insertAfter('.taamul-main-content');
			}
		}
	
		function checkWindowWidth() {
			var mq = window.getComputedStyle(document.querySelector('taamul-header'), '::before').getPropertyValue('content').replace(/"/g, '').replace(/'/g, "");
			return ( mq == 'mobile' ) ? false : true;
		}
	});
	
	window.log = console.log.bind(console);

	function $(expr, context) {
		return(context || document).querySelector(expr);
	}

	function $$(expr, context) {
		return [].slice.call((context || document).querySelectorAll(expr), 0);
	}

	function prepend(element, into) {
		if(element && into) into.insertBefore(element, into.firstChild);
	}
	let info = $('.taamul-admin-toggles-info'),
		inputs = $$('.taamul-admin-toggle input');

	function showInfo(styledElement) {
		let div = document.createElement('div'),
			str = '';
		inputs.forEach(input => {
			str += input.checked ? '<span on> on </span> ' : '<span off> off </span>';
		});
		if(styledElement) {
			str += `<span click>click: ${styledElement.innerHTML}</span>`;
		}
		div.innerHTML = str;
		prepend(div, info);
	}

	function taamul_admin_toggle(element, event) {
		showInfo(element.nextElementSibling);
	}
	showInfo();
	

})( jQuery );

jQuery(document).ready(function($){
	$('#notishowemail').on('change', function(event){
		let eson = $("input:checkbox:checked").val();
		if( eson == 'on'){
			$("#email_setting").show();
		}else{
			$("#email_setting").hide();
		}
	});
	jQuery("#notishowemail").trigger('change');
});
