<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://taamul.com
 * @since      1.0.2
 *
 * @package    Taamul
 * @subpackage Taamul/admin/partials
 */

$adminpage_url = admin_url( 'admin.php?page=taamul&tab=overview' );
$tab  = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : 'overview'; // input var okay.
$page = isset( $_GET['page'] ) ? sanitize_text_field( wp_unslash( $_GET['page'] ) ) : 'taamul'; // input var okay.
?>
	<div class="taamul-header" style="background-color: #ffffff;">
		<div class="taamul-container">
			<div class="taamul-logo">
				<a href="<?php echo $adminpage_url; ?>">
					<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/taamul-logo.png'; ?>" alt="Logo">
				</a>
			</div>
				<nav class="taamul-main-nav-wrapper">
					<a href="#taamul-navigation" class="taamul-nav-trigger">
						<span>
							<em aria-hidden="true"></em>
						</span>
					</a>
					<!-- .nav-trigger -->
					<ul id="taamul-navigation" class="taamul-main-nav">
						<li>
							<a href="<?php echo esc_url( $adminpage_url.'&tab=overview' ); ?>" class="<?php if ( 'overview' === $tab ) { echo 'nav_active'; } ?>">
								<?php esc_html_e( 'Dashboard', 'taamul' ); ?>
							</a>
						</li>
						<li>
							<a href="<?php echo esc_url( add_query_arg( 'tab', 'report', $adminpage_url ) ); ?>" class="<?php if ( 'report' === $tab ) { echo 'nav_active'; } ?>">
								<?php esc_html_e( 'Report', 'taamul' ); ?>
							</a>
						</li>
						<li>
							<a href="<?php echo esc_url( add_query_arg( 'tab', 'appearance', $adminpage_url ) ); ?>" class="<?php if ( 'appearance' === $tab ) { echo 'nav_active'; } ?>">
								<?php esc_html_e( 'Appearance', 'taamul' ); ?>
							</a>
						</li>
						<li>
							<a href="<?php echo esc_url( add_query_arg( 'tab', 'notifications', $adminpage_url ) ); ?>" class="<?php if ( 'notifications' === $tab ) { echo 'nav_active'; } ?>">
								<?php esc_html_e( 'Notifications', 'taamul' ); ?>
							</a>
						</li>
						<li>
							<a href="<?php echo esc_url( add_query_arg( 'tab', 'settings', $adminpage_url ) ); ?>" class="<?php if ( 'settings' === $tab ) { echo 'nav_active'; } ?>">
								<?php esc_html_e( 'Settings', 'taamul' ); ?>
							</a>
						</li>
						<li>
							<a href="<?php echo esc_url( add_query_arg( 'tab', 'support', $adminpage_url ) ); ?>" class="<?php if ( 'support' === $tab ) { echo 'nav_active'; } ?>">
								<?php esc_html_e( 'Support', 'taamul' ); ?>
							</a>
						</li>
					</ul>
					<!-- .taamul-main-nav -->
				</nav>
			</div>
		</div>
		<div class="taamul-header">
			<div class="taamul-container">
				<div class="taamul-page">
					<?php 
						if ( 'overview' === $tab ) {
							require_once plugin_dir_path( __FILE__ ) . 'taamul-dashboard.php';
						} elseif ( 'report' === $tab ) {
							require_once plugin_dir_path( __FILE__ ) . 'taamul-report.php';
						} elseif ( 'appearance' === $tab ) {
							require_once plugin_dir_path( __FILE__ ) . 'taamul-appearance.php';
						} elseif ( 'notifications' === $tab ) {
							require_once plugin_dir_path( __FILE__ ) . 'taamul-notifications.php';
						}elseif ( 'settings' === $tab ) {
							require_once plugin_dir_path( __FILE__ ) . 'taamul-settings.php';
						}elseif ( 'support' === $tab ) {
							require_once plugin_dir_path( __FILE__ ) . 'taamul-support.php';
						}
                	?>
				</div>
			</div>
		</div>