<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$taamul_is_pro = taamul_is_pro();

$get_appearance_style = get_option('taamul_appearance_style', true );
$position_on_page 	= $get_appearance_style['position_on_page'];
$reactions_style 	= $get_appearance_style['reactions_style'];
?>
<div class="taamul-contain">
	<form class="form cf" method="post">
		<!-- Start Page Title -->
		<div class="taamul-page-header">
			<div class="taamul-page-header-items">
				<h1><?php esc_attr_e('Appearance Settings', 'taamul' ); ?></h1>
			</div>
			<div class="taamul-page-header-items">
				<div class="taamul-save-changes">
					<input type="submit" name="submit" class="taamul-save-changes-button" value="<?php esc_attr_e('Save Changes', 'taamul' ); ?>">
				</div>
			</div>
		</div>
		<?php do_action('taamul_admin_notices'); ?>

		<!-- End Page Title -->
		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Position on page:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<div class="taamul-sm-card">
						<section class="plan cf">
							<input type="radio" name="appearance[position_on_page]" id="middleright" value="middleright" <?php if( $position_on_page == 'middleright' ){ echo 'checked="checked"'; } ?> >
							<label class="free-label four col" for="middleright">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/middleright.svg'; ?>" />
							</label>
							<input type="radio" name="appearance[position_on_page]" id="middleleft" value="middleleft" <?php if( $position_on_page == 'middleleft' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="middleleft">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/middleleft.svg'; ?>" />
							</label>
							<input type="radio" name="appearance[position_on_page]" id="bottomright" value="bottomright" <?php if( $position_on_page == 'bottomright' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="bottomright">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/bottomright.svg'; ?>" />
							</label>
							<input type="radio" name="appearance[position_on_page]" id="bottomleft" value="bottomleft" <?php if( $position_on_page == 'bottomleft' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="bottomleft">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/bottomleft.svg'; ?>" />
							</label>
							<input type="radio" name="appearance[position_on_page]" id="middlerightwithtext" value="middlerightwithtext" <?php if( $position_on_page == 'middlerightwithtext' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="middlerightwithtext">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/middlerightwithtext.svg'; ?>" />
							</label>
							<input type="radio" name="appearance[position_on_page]" id="middleleftwithtext" value="middleleftwithtext" <?php if( $position_on_page == 'middleleftwithtext' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="middleleftwithtext">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/middleleftwithtext.svg'; ?>"/>
							</label>
							<input type="radio" name="appearance[position_on_page]" id="bottomrightwithtext" value="bottomrightwithtext" <?php if( $position_on_page == 'bottomrightwithtext' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="bottomrightwithtext">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/bottomrightwithtext.svg'; ?>" />
							</label>
							<input type="radio" name="appearance[position_on_page]" id="bottomleftwithtext" value="bottomleftwithtext" <?php if( $position_on_page == 'bottomleftwithtext' ){ echo 'checked="checked"'; } ?> >
							<label class="basic-label four col" for="bottomleftwithtext">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/bottomleftwithtext.svg'; ?>"/>
							</label>
						</section>
					</div>
				</div>
			</div>
		</div>
		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Reactions style:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<div class="taamul-sm-card">
						<section class="plan cf">
							<input type="radio" name="appearance[reactions_style]" id="emoji1" value="emoji1" <?php if( $reactions_style == 'emoji1' ){ echo 'checked="checked"'; } ?> >
							<label class="free-label four col" for="emoji1"><img src="<?php echo plugin_dir_url( __DIR__ ) .'img/appearance/reactionsstyle01.svg'; ?>"></label>
						</section>
					</div>
				</div>
			</div>
		</div>

		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Targeting:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Desktops', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Collect feedback on the desktops devices:', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[desktops]" <?php if( $get_appearance_style['desktops'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Tablets', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Collect feedback on the tablets devices:', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[tablets]" <?php if( $get_appearance_style['tablets'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Phones', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Collect feedback on the phones devices:', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[phones]"  <?php if( $get_appearance_style['phones'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
		</div>
		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Steps:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Feedback Title', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('No title will appear if left blank', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block taamul-form-control">
					<input type="text" class="form-control" size="80" name="appearance[feedback_title]" id="newTextLabel1" value="<?php if( !empty( $get_appearance_style['feedback_title'] ) ){ echo $get_appearance_style['feedback_title']; }?>" > 
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Message Form', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('No message will appear if left blank', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block taamul-form-control">
					<input type="text" class="form-control" size="80" name="appearance[message_form]" id="newTextLabel2" value="<?php if( !empty( $get_appearance_style['message_form'] ) ){ echo $get_appearance_style['message_form']; }?>" > 
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Thank you message', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('No message will appear if left blank', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block taamul-form-control">
					<input type="text" class="form-control" size="80" name="appearance[thank_you_message]" id="newTextLabel3" value="<?php if( !empty( $get_appearance_style['thank_you_message'] ) ){ echo $get_appearance_style['thank_you_message']; }?>" > 
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Send Button', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('No message will appear if left blank', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block taamul-form-control">
					<input type="text" class="form-control" size="80" name="appearance[send_button]" id="newTextLabel4" value="<?php if( !empty( $get_appearance_style['send_button'] ) ){ echo $get_appearance_style['send_button']; }?>" >
				</div>
			</div>
		</div>
		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Form Field:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Message', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Show or hide comment field in feedback modal form.', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[message]"  <?php if( $get_appearance_style['message'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Message Required', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Make the comment field required in feedback modal.', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[message_required]"  <?php if( $get_appearance_style['message_required'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Show Email', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Make the comment field required in feedback modal.', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[show_email]" <?php if( $get_appearance_style['show_email'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
			<div class="taamul-dashboard-card taamul-mb-30">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Email Required', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Make the email field required in feedback modal.', 'taamul' ); ?></p>
				</div>
				<div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="appearance[email_required]" <?php if( $get_appearance_style['email_required'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
		</div>
		<div class="taamul-save-changes">
			<input type="hidden" name="taamul_action" value="taamul_save_settings" />
			<?php wp_nonce_field( 'taamul_setting_form_nonce_action', 'taamul_setting_form_nonce' ); ?>
			<input type="submit" name="submit" class="taamul-save-changes-button" value="Save Changes">
		</div>
	</form>
</div>