<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$get_notification_style = get_option('taamul_notification_setting', true );
?>
<div class="taamul-contain">
	<form class="form cf" method="post">
			<!-- Start Page Title -->
			<div id="taamul-admin" class="taamul-page-header">
				<div class="taamul-page-header-items">
					<h1><?php esc_attr_e('Notifications', 'taamul' ); ?></h1></div>
				<div class="taamul-page-header-items">
					<div class="taamul-save-changes">
						<input type="submit" name="submit" class="taamul-save-changes-button" value="Save Changes">
					</div>
				</div>
			</div>
			<?php do_action('taamul_admin_notices'); ?>
			<!-- End Page Title -->
			<div class="taamul-dashboard-card-group">
				<h2><?php esc_attr_e('Email Notifications Settings:', 'taamul' ); ?></h2>
				<div class="taamul-dashboard-card">
					<div class="taamul-dashboard-card-block">
						<h3><?php esc_attr_e('Receive Feedback Responses via Email:', 'taamul' ); ?></h3>
						<p><?php esc_attr_e('Enable or disable email notifications for new feedback.', 'taamul' ); ?></p>
					</div>
					<div class="taamul-dashboard-card-block">
						<section class="taamul-admin-toggles">
							<div class="taamul-admin-toggle-component">
								<label class="taamul-admin-toggle">
									<input type="checkbox" id="notishowemail" name="notification[show_email]" <?php if( isset( $get_notification_style['show_email'] ) &&  $get_notification_style['show_email'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul-admin-toggle(this,event)" />
									<div class="email_show" data-off="Off" data-on="On"></div>
								</label>
							</div>
						</section>
					</div>
				</div>
				<div id="email_setting" >
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<h3><?php esc_attr_e('Email Recipient/s:', 'taamul' ); ?></h3>
							<p><?php esc_attr_e('Enter email recipient/s separated by commas [,].', 'taamul' ); ?></p>
						</div>
						<div class="taamul-dashboard-card-block">
							<input type="text" class="form-control" size="80" name="notification[email_recipient]" id="newEmailLabel" value="<?php if( !empty( $get_notification_style['email_recipient'] ) ){ echo $get_notification_style['email_recipient']; }?>" placeholder="info@domain.com" aria-label="Enter new email address"> </div>
					</div>
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<h3><?php esc_attr_e('Email Subject:', 'taamul' ); ?></h3>
							<p><?php esc_attr_e('Input email subject for the feedback notifications.', 'taamul' ); ?></p>
						</div>
						<div class="taamul-dashboard-card-block">
							<input type="text" class="form-control" size="80" name="notification[email_subject]" id="newtextLabel" value="<?php if( !empty( $get_notification_style['email_subject'] ) ){ echo $get_notification_style['email_subject']; }?>" placeholder="New feedback submitted at <?php echo get_bloginfo( 'name' ); ?>" aria-label="New feedback submitted at Taamul"> </div>
					</div>
					<div class="taamul-dashboard-card taamul-mb-30">
						<div class="taamul-dashboard-card-block">
							<h3><?php esc_attr_e('Email Message:', 'taamul' ); ?></h3>
							<p><?php esc_attr_e('Input email body for the feedback notifications.', 'taamul' ); ?></p>
						</div>
						<div class="taamul-dashboard-card-block" >	
							<?php
							if( !empty( $get_notification_style['email_message'] ) ){ 
								$content =  $get_notification_style['email_message']; 
							}
							wp_editor( $content, esc_attr( 'newtextareaLabel' ), array(
									'textarea_rows' => '2',
									'textarea_name' => 'notification[email_message]',
									'media_buttons' => false,
									'teeny'         => false,
									'tinymce'       => array( 'width' => 785 )
								)
							);
							?>
						</div>
					</div>
				</div>
			</div>
			<div class="taamul-save-changes">
				<input type="hidden" name="taamul_notification_action" value="taamul_notification_save_settings" />
				<?php wp_nonce_field( 'taamul_setting_form_notification_nonce_action', 'taamul_setting_form_notification_nonce' ); ?>
				<input type="submit" name="submit" class="taamul-save-changes-button" value="Save Changes" style="margin-top: 25px;">
			</div>
		</div>
	</form>
</div>