<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$taamul_overview = taamul_get_overview_data();
$ratings          = $taamul_overview['ratings'];
$weekly_count     = $taamul_overview['weekly_count'];
$total_rattings   = $taamul_overview['total_rattings'];
$avg_rattings     = $taamul_overview['avg_rattings'];
if( 1 <= count( $ratings ) ){
?>
<div class="taamul-dashboard-card-group">
    <h2><?php _e('Quick Score', 'taamul' ); ?></h2>
    <div class="taamul-dashboard-average">
        <div class="taamul-dashboard-average-item"><img class="taamul-score-avatar" src="<?php echo plugin_dir_url( __DIR__ ) .'img/dashboard/review-5-star.svg'; ?>" alt="Image">
            <div class="taamul-score-block">
                <h4><?php printf( __( '%s out of 5', 'taamul' ), "<strong>{$avg_rattings}</strong>" ); ?></h4>
                <p>
                    <?php
                    printf( __( '- of %d feedbacks', 'taamul' ), $total_rattings );
                    if ( $weekly_count > 0 ) {
                        ?>
                        <span class="taamul-score-badge">
                            <?php printf( __( '+ %d this week', 'taamul' ), $weekly_count ); ?>
                        </span>
                        <?php
                    }
                    ?>
                </p>
            </div>
        </div>

        <div class="taamul-dashboard-average-item">
            <div class="taamul-score-col">
                <ul class="taammul-list-unstyled taamul-list-unstyled-py-2">
                    <?php
                    foreach( $ratings as $rating ){
                        $rating_percent = round( ( $rating['count'] / $total_rattings ) * 100, 2 );
                        ?>
                        <li class="taamul-d-flex">
                            <span class="tmr-3">
                                <?php _e( $rating['rating'] . ' star', 'taamul' ); ?>
                            </span>
                            <div class="taamul-score-progress taamul-flex-grow-1">
                                <div class="taamul-score-progress-bar" role="progressbar" style="width:<?php echo $rating_percent .'%';?>;" aria-valuenow="<?php echo $rating_percent;?>" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                            <span class="tml-3">
                                <?php echo $rating['count']; ?> <?php echo " ({$rating_percent}%)";?>
                            </span>
                        </li>
                        <?php
                    }
                    ?>
                </ul>
            </div>
        </div>
    </div>
</div>
<?php
}else{
    ?>
    <img src="<?php echo plugin_dir_url( __DIR__ ) .'img/dashboard/no-feedback.png'; ?>" alt="No-feedback-report" style="margin: 0 0 0 -8px;max-width: 100%;">
    <?php
}