<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/taamul-list-table.php';
$listtable = new Taamul_Feed_List_Table();
$listtable->prepare_items();
?>

<div class="taamul-contain">
	<div class="taamul-page-header">
		<div class="taamul-page-header-items">
			<h1><?php _e('Feedback Report', 'taamul' ); ?></h1></div>
	</div>
	<?php 
	// Overview
	include_once plugin_dir_path( dirname( __FILE__ ) ) . 'partials/taamul-overview-report.php';
	?>

	<div class="taamul-dashboard-card-group">
		<h2><?php _e('Feedback Data List', 'taamul' ); ?></h2>
		<div class="taamul-container">
			<?php 
			$ids = array();
			if ( isset($_REQUEST['id']) && is_array($_REQUEST['id']) ) {
				$ids = array_map( 'sanitize_text_field', $_REQUEST['id'] );
			}else{
				if(isset($_REQUEST['id'])){
					$ids = array(sanitize_text_field($_REQUEST['id']));
				}
			}
	
			?>
			<div class="wrap">
				<?php 
				if ( 'delete' === $listtable->current_action() && count($ids) > 0 ) {
					?>
					<div class="updated below-h2" id="message">
						<p>
						<?php printf(__('Items deleted: %d', 'taamul'), count($ids) ); ?>
						</p>
					</div>
					<?php
				}
				?>
				<form id="taamul-feedback-table" method="GET">
					<input type="hidden" name="page" value="taamul"/>
					<input type="hidden" name="tab" value="report" />
					<?php $listtable->display(); ?>
				</form>
			</div>
		</div>
	</div>
</div>