<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$get_setting_option = get_option('taamul_settings_style', true );
?>
<div class="taamul-contain">
	<form class="form cf" method="post">
		<!-- Start Page Title -->
		<div class="taamul-page-header">
			<div class="taamul-page-header-items">
				<h1><?php esc_attr_e('Settings', 'taamul' ); ?></h1>
			</div>
			<div class="taamul-page-header-items">
				<div class="taamul-save-changes">
					<input type="submit" name="submit" class="taamul-save-changes-button" value="<?php esc_attr_e('Save Changes', 'taamul' ); ?>">
				</div>
			</div>
		</div>
		<?php do_action('taamul_admin_notices'); ?>

		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Reset Settings:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Appearance Settings', 'taamul' ); ?></h3>
				</div>
				<div class="taamul-dashboard-card-block">
                    <div class="taamul-admin-toggle-component">
                        <a href='admin.php?page=taamul&tab=settings&appearance_reset=true' class="taamul-reset-button"><?php esc_attr_e('Reset', 'taamul' ); ?></a>
                    </div>
				</div>
			</div>

			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Notification Settings', 'taamul' ); ?></h3>
				</div>
				<div class="taamul-dashboard-card-block">
                    <div class="taamul-admin-toggle-component">
                        <a href='admin.php?page=taamul&tab=settings&notification_reset=true' class="taamul-reset-button"><?php esc_attr_e('Reset', 'taamul' ); ?></a>
                    </div>
				</div>
			</div>
		</div>
		<div class="taamul-dashboard-card-group">
			<h2><?php esc_attr_e('Remove Data:', 'taamul' ); ?></h2>
			<div class="taamul-dashboard-card">
				<div class="taamul-dashboard-card-block">
					<h3><?php esc_attr_e('Delete Taamul Feedback data on Uninstall :', 'taamul' ); ?></h3>
					<p><?php esc_attr_e('Delete Taamul Feedback all data like settings, reports, appearance settings, notification settings on Uninstall.', 'taamul' ); ?></p>
				</div>
                <div class="taamul-dashboard-card-block">
					<section class="taamul-admin-toggles">
						<div class="taamul-admin-toggle-component">
							<label class="taamul-admin-toggle">
								<input type="checkbox" name="settings[delete_all_data]" <?php if( isset( $get_setting_option['delete_all_data'] ) && $get_setting_option['delete_all_data'] == 'on' ){ echo 'checked="checked"'; } ?> onclick="taamul_admin_toggle(this,event)" />
								<div data-off="Off" data-on="On"></div>
							</label>
						</div>
					</section>
				</div>
			</div>
		</div>
		<div class="taamul-save-changes taamul-mt-30">
			<input type="hidden" name="taamul_settings_action" value="taamul_save_settings" />
			<?php wp_nonce_field( 'taamul_settings_form_nonce_action', 'taamul_settings_form_nonce' ); ?>
			<input type="submit" name="submit" class="taamul-save-changes-button" value="Save Changes">
		</div>
	</form>
</div>