<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://taamul.com
 * @since      1.0.2
 *
 * @package    Taamul
 * @subpackage Taamul/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.2
 * @package    Taamul
 * @subpackage Taamul/includes
 * @author     Taamul <taamul.inc@gmail.com>
 */
class Taamul_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.2
	 */
	public static function deactivate() {

		$get_setting_option = get_option('taamul_settings_style', true );

		if( !empty ( $get_setting_option['delete_all_data'] ) && $get_setting_option['delete_all_data'] == 'on' ){
			global $wpdb;
			$table_name = $wpdb->prefix . 'taamul';

			if( $wpdb->get_var( "show tables like '$table_name'" ) == $table_name ) {
				$sql = 'DROP TABLE ' .$table_name;
				$wpdb->query( $sql );
			}

			delete_option( 'taamul_appearance_style' );
			delete_option( 'taamul_notification_setting' );
			delete_option( 'taamul_settings_style' );
		}

	}

}
