<?php
/**
 * Common Funcitons related to plugin.
 * 
 * @since    1.1.0
 */

 /**
  * Get Overview Report data.
  */
function taamul_get_overview_data() {
    global $wpdb;
    $weekly_count = $total_rattings = $avg_rattings = '';
    $ratings = $wpdb->get_results( "SELECT rating, COUNT(*) as count, SUM(rating) as ratings_sum FROM {$wpdb->prefix}taamul GROUP BY rating ORDER BY rating DESC" );
    $weekly_count = $wpdb->get_var( "SELECT COUNT(*) as count FROM {$wpdb->prefix}taamul where week(date_time)=week(now())" );

    if( !empty( $ratings ) ){   
        $weekly_count   = $wpdb->get_var( "SELECT COUNT(*) as count FROM {$wpdb->prefix}taamul where week(date_time)=week(now())" );
        $total_rattings = array_sum( array_map( function($item) { return $item->count; }, $ratings ) );
        $avg_rattings   = round( array_sum( array_map( function($item) { return $item->ratings_sum; }, $ratings ) ) / $total_rattings, 2 );
    }
    
    if( !empty( $ratings ) ){ 
        $all_array = array( 0=>5,1=>4,2=>3,3=>2,4=>1 );
        $tr = array();
        foreach( $ratings as $resultss ){
            $tr[] = $resultss->rating;
        }
        $arrayr_diff = array_diff( $all_array, $tr );
        $tdiff_array = array_values( $arrayr_diff );
        $array_empty_value = array();
        for ( $i=0; $i < count( $tdiff_array ); $i++) { 
            $array_empty_value[] = array( 'rating' => $tdiff_array[$i], 'count' => 0, 'ratings_sum' => 0 );
        }
        $ratings           = array_merge(  $ratings, $array_empty_value );
        $resultArr = array();
        foreach ( $ratings as $value ) {
            $value = (array)$value;
            $resultArr[$value['rating']] = $value;
        }
        $ratings = $resultArr;
        krsort( $ratings );
    }

    return array(
        'ratings'        => $ratings,
        'weekly_count'   => $weekly_count,
        'total_rattings' => $total_rattings,
        'avg_rattings'   => $avg_rattings,
    );
}

/**
 * Check is pro active or not.
 *
 * @since  1.0.0
 * @return boolean
 */
function taamul_is_pro() {
    if ( ! function_exists( 'is_plugin_active' ) ) {
        include_once ABSPATH . 'wp-admin/includes/plugin.php';
    }
    if ( is_plugin_active( 'taamul-pro/taamul-pro.php' ) ) {
        return true;
    }
    return false;
}

/**
 * Get Divece Data .
 *
 * @since  1.0.4
 * @return string
 */
function get_device_count() {
    global $wpdb;
    $device = $wpdb->get_results( "SELECT device, count( device ) as number FROM {$wpdb->prefix}taamul WHERE 1=1 GROUP BY device order by count(device) desc limit 3" );
    return  $device;
}

/**
	 * Check Country file exits or not.
	 *
	 * @since  1.0.4
	 * @return string
	 */
    function courtry_file_exist( $file = '' ){
		$country_check = get_headers( 'https://ipdata.co/flags/'.strtolower( $file ).'.svg');
		if(!$country_check || $country_check[0] == 'HTTP/1.1 404 Not Found') {
			$country = plugin_dir_url( __DIR__ ) .'admin/img/dashboard/Nocountry.png';
		}else {
			$country = 'https://ipdata.co/flags/'.strtolower( $file ).'.svg';
		}
		return $country;
	}

     /**
	 * Check Browser file exits or not.
	 *
	 * @since  1.0.4
	 * @return string
	 */
    function browser_file_exist( $file = '' ){
        $browser_check = plugin_dir_url( __DIR__ ) .'admin/img/browser/'. $file .'.svg';
		if(!$browser_check || $browser_check[0] == 'HTTP/1.1 404 Not Found') {
            $browser = plugin_dir_url( __DIR__ ) .'admin/img/browser/Nobrowser.svg';
		}else {
			$browser = plugin_dir_url( __DIR__ ) .'admin/img/browser/'. $file .'.svg';
		}
		return $browser;
	}

/**
 * Get Country Data .
 *
 * @since  1.0.4
 * @return string
 */
function get_country_count() {
    global $wpdb;
    $device = $wpdb->get_results( "SELECT country, country_code, count( country ) as number FROM {$wpdb->prefix}taamul WHERE 1=1 GROUP BY country order by count(country) desc limit 3" );
    return  $device;
}

/**
 * Get Browser Data .
 *
 * @since  1.0.4
 * @return string
 */
function get_browser_count() {
    global $wpdb;
    $device = $wpdb->get_results( "SELECT browser, count( browser ) as number FROM {$wpdb->prefix}taamul WHERE 1=1 GROUP BY browser order by count(browser) desc limit 3" );
    return  $device;
}