<?php
if (!class_exists('WP_List_Table')) {
    require_once (ABSPATH . 'wp-admin/includes/class-wp-list-table.php'); 
}

class Taamul_Feed_List_Table extends WP_List_Table {

        function __construct()
        {
            global $status, $page;
    
            parent::__construct(array(
                'singular' => 'taamul',
                'plural' => 'taamul',
            ));			
        }
    
        function column_default($item, $column_name)
        {
            return $item[$column_name];
        }
    
        function column_id($item)
        {
            $actions = array(
                'delete' => sprintf('<a href="?page=taamul&action=delete&id=%s">Delete</a>', $item['id'], __('Delete', 'taamul')),
            );
    
            return sprintf('%s %s',
                $item['id'],
                $this->row_actions($actions)
            );
        }
    
        function column_cb($item)
        {
            return sprintf(
                '<input type="checkbox" name="id[]" value="%s" />',
                $item['id']
            );
        }
    
  
        
        function get_columns()
        {
            $columns = array(
                'cb' => '<input type="checkbox" />', //Render a checkbox instead of text
                'id' => __('ID', 'taamul'),
                'rating' => __('Rating', 'taamul'),
                'feedback_text' => __('Feedback Text', 'taamul'),
                'date_time' => __('Date and Time', 'taamul'),
                'user_ip_address' => __('User Ip Address', 'taamul'),
                
            );
            return $columns;
        }

        function get_sortable_columns()
        {
            $sortable_columns = array(
                'id' => array('id', true),
                'rating' => array('rating', false),
                'date_time' => array('date_time', false),
            );
            return $sortable_columns;
        }
    
        function get_bulk_actions()
        {
            $actions = array(
                'delete' => 'Delete'
            );
            return $actions;
        }

        function process_bulk_action()
        {
            global $wpdb;
            $table_name = $wpdb->prefix . 'taamul'; // do not forget about tables prefix
    
            if ('delete' === $this->current_action()) {
				if ( isset($_REQUEST['id']) && is_array($_REQUEST['id']) ) {
					$ids = isset($_REQUEST['id']) ? array_map( 'sanitize_text_field', $_REQUEST['id'] ) : array();
				}
				else
				{
					$ids = isset($_REQUEST['id']) ? sanitize_text_field($_REQUEST['id']) : array();
				}
				
                if (is_array($ids)) $ids = implode(',', $ids);
    
                if (!empty($ids)) {
                    $wpdb->query("DELETE FROM $table_name WHERE id IN($ids)");
                }
            }
        }	
		
        function prepare_items()
        {
            global $wpdb;
            $table_name = $wpdb->prefix . 'taamul'; // do not forget about tables prefix
    
            $per_page = 10; // constant, how much records will be shown per page
    
            $columns = $this->get_columns();
            $hidden = array();
            $sortable = $this->get_sortable_columns();
    
           
            $this->_column_headers = array($columns, $hidden, $sortable);
    
            $this->process_bulk_action();
    
            $total_items = $wpdb->get_var("SELECT COUNT(id) FROM $table_name");
    
            $paged = isset(($_REQUEST['paged'])) ? ($per_page * max(0, intval(sanitize_text_field($_REQUEST['paged'])) - 1)) : 0;
            $orderby = (isset(($_REQUEST['orderby'])) && in_array(sanitize_text_field($_REQUEST['orderby']), array_keys($this->get_sortable_columns()))) ? sanitize_text_field($_REQUEST['orderby']) : 'id';
            $order = (isset(($_REQUEST['order'])) && in_array(sanitize_text_field($_REQUEST['order']), array('asc', 'desc'))) ? sanitize_text_field($_REQUEST['order']) : 'asc';
    
            $this->items = $wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name ORDER BY $orderby $order LIMIT %d OFFSET %d", $per_page, $paged), ARRAY_A);
    
            $this->set_pagination_args(array(
                'total_items' => $total_items, // total items defined above
                'per_page' => $per_page, // per page constant defined at top of method
                'total_pages' => ceil($total_items / $per_page) // calculate pages count
            ));
        }
}


function get_list_table(){

    $class=new Taamul_Feed_List_Table();
    $class->prepare_items(); 
	$counted = array();
    $message = '';

    if ( isset($_REQUEST['id']) && is_array($_REQUEST['id']) ) {
        $counted = array_map( 'sanitize_text_field', $_REQUEST['id'] );
    }
	else
	{
		if(isset($_REQUEST['id']))
		{
			$counted = array(sanitize_text_field($_REQUEST['id']));
		}
	}
    
    if ('delete' === $class->current_action()) {
        $message = '<div class="updated below-h2" id="message"><p>' . sprintf(__('Items deleted: %d', 'taamul'), count($counted)) . '</p></div>';
    }
    ?>
<div class="wrap">

    <div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
    <h2><?php _e('Taamul Feedback List Table', 'taamul')?>
    </h2>
    <?php echo $message; ?>

    <form id="Taamul-feedback-table" method="GET">
        <input type="hidden" name="page" value="<?php echo esc_html(sanitize_text_field($_REQUEST['page'])); ?>"/>
        <?php $class->display() ?>
    </form>

</div>
<?php
}
    