<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://taamul.com
 * @since      1.0.4
 *
 * @package    Taamul
 * @subpackage Taamul/public/partials
 */

//Call common class and fetch function
require_once plugin_dir_path( __FILE__ ) . 'taamul-public-common.php';
$display_popup = new Taamul_Public_Common();

// Get option in appearance settings
$get_appearance_style = get_option('taamul_appearance_style', true );
$position_on_page 	= $get_appearance_style['position_on_page'];

if( empty( $get_appearance_style['desktops'] ) && empty( $get_appearance_style['tablets'] ) && empty( $get_appearance_style['phones'] ) ){
	?>
	<style>
		.taamul-popup-trigger{
			display: none;
		}
		div#taamul{
			display: none;
		}
	</style>
	<?php
}
if( empty( $get_appearance_style['desktops'] ) && $get_appearance_style['desktops'] !== 'on' ){
	?>
	<style>
		@media ( min-width: 992px ) and ( max-width: 2200px ) {
			.taamul-popup-trigger{
				display: none;
			}
			div#taamul{
				display: none;
			}
		}
	</style>
	<?php
}
if( empty( $get_appearance_style['tablets'] ) && $get_appearance_style['tablets'] !== 'on' ){
	?>
	<style>
		@media ( min-width: 576px) and (max-width: 991.98px ) {
			.taamul-popup-trigger{
				display: none;
			}
			div#taamul{
				display: none;
			}
		}
	</style>
	<?php	
}
if( empty( $get_appearance_style['phones'] ) && $get_appearance_style['phones'] !== 'on' ){
	?>
	<style>
		@media ( max-width: 576px ) {
			.taamul-popup-trigger{
				display: none;
			}
			div#taamul{
				display: none;
			}
		}
	</style>
	<?php
}

//Display popup in all page
if( method_exists( $display_popup, 'display_feedback_popup' ) ){
	$display_popup->display_feedback_popup();
}

